package com.zt.plat.module.unitmanagement.enums;

import com.zt.plat.framework.common.exception.ErrorCode;

/**
 * unit-management 模块的错误码常量
 */
public interface UnitErrorCodeConstants {

    ErrorCode QUANTITY_UNIT_RELATION_NOT_EXISTS =
            new ErrorCode(1_010_000_001, "计量单位量与单位关联不存在");

    ErrorCode UNIT_CONVERSION_NOT_EXISTS =
            new ErrorCode(1_010_000_002, "单位转换记录不存在");

    ErrorCode UNIT_QUANTITY_NOT_EXISTS =
            new ErrorCode(1_010_000_003, "单位数量记录不存在");

    ErrorCode UNT_INFO_NOT_EXISTS =
            new ErrorCode(1_010_000_004, "单位信息记录不存在");

    ErrorCode UNIT_NOT_FOUND =
            new ErrorCode(1_010_000_005, "找不到单位: %s");

    ErrorCode UNIT_CONVERSION_PATH_NOT_FOUND =
            new ErrorCode(1_010_000_006, "无法找到从单位 [%s] 到单位 [%s] 的转换路径，请检查单位是否属于同一量纲或配置转换规则");

    ErrorCode UNIT_DIFFERENT_QUANTITY =
            new ErrorCode(1_010_000_007, "单位 [%s] 和单位 [%s] 不属于同一量纲，无法转换");

}
